using System;

internal sealed class Delegate794 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate794 delegate794_1)
	{
		return delegate794_1(object_0);
	}

	public extern Delegate794(object object_0, IntPtr intptr_0);

	static Delegate794()
	{
		Class10.smethod_13(typeof(Delegate794).TypeHandle);
	}

	internal static Delegate794 delegate794_0;
}
